use std::fs::create_dir;
use std::path::PathBuf;

use crate::error::*;

pub fn mkdir(dir: &PathBuf) -> MkrootResult<()> {
	if let Err(e) = create_dir(&dir) {
		return Err(MkrootError::from(format!(
			"Error creating directory {}: {}",
			&dir.display(),
			e
		)));
	}

	Ok(())
}
